SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[FactSales](
	[CustomerID] [int] NOT NULL,
	[StoreLocationID] [int] NOT NULL,
	[PurchaseDateID] [int] NOT NULL,
	[ItemID] [int] NOT NULL,
	[Quantity] [int] NOT NULL,
 CONSTRAINT [pk_FactSales] PRIMARY KEY CLUSTERED 
(
	[CustomerID] ASC,
	[StoreLocationID] ASC,
	[PurchaseDateID] ASC,
	[ItemID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 90) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


