﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Runtime.Serialization

Namespace Tests
	' Contains a single column dimension caption and value from an MDX query 
	<Serializable()>
	Public Class CubeTuple
		Implements ISerializable
		Private columnName As String
		Private columnValue As Object

		Public Sub New(ByVal columnName As String, ByVal columnValue As Object)
			Me.columnName = columnName
			Me.columnValue = columnValue
		End Sub

		Public Sub New(ByVal info As SerializationInfo, ByVal context As StreamingContext)
			columnName = CStr(info.GetValue("ColumnName", GetType(String)))
			columnValue = info.GetValue("ColumnValue", GetType(Object))
		End Sub

		Public Function getColumnName() As String
			Return columnName
		End Function

		Public Function getColumnValue() As Object
			Return columnValue
		End Function

		#Region "ISerializable Members"

		Public Sub GetObjectData(ByVal info As SerializationInfo, ByVal context As StreamingContext) Implements ISerializable.GetObjectData
			info.AddValue("ColumnName", columnName)
			info.AddValue("ColumnValue", columnValue)
		End Sub

		#End Region
	End Class
End Namespace
